x2golistdesktops(8)

NAME
x2golistdesktops - List Available X Desktops

SYNOPSIS
x2golistdesktops [<server_hostname>]

DESCRIPTION
x2golistdesktops returns a list of active desktop sessions running on server <server_hostname>. If no server hostname is given at the command line, the fully qualified domain name of the local system is used here.

x2golistdesktops is run with X2Go user privileges and it is used by X2Go clients to render a list of available desktops that may be candidates for X2Go desktop sharing (shadow sessions).

The list of desktops will include local desktop sessions (launched via KDM, GDM, etc.) run by the same user, X2Go desktop sessions run by the same user and desktop sessions of other users (local or remote) that are announced via the x2godesktopsharing utility.

RETURN VALUES
A list of available X desktops, line-by-line.

As exitcode x2golistdesktop always returns 0.

SEE ALSO
x2godesktopsharing(1)

AUTHOR
This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (http://www.x2go.org).